Skip to main content
POST
/
inbox_embeds
curl --request POST \ --url https://api.kapso.ai/platform/v1/inbox_embeds \ --header 'Content-Type: application/json' \ --header 'X-API-Key: <api-key>' \ --data ' { "inbox_embed": { "name": "Project inbox", "scope_type": "project", "allowed_origins": [ "https://app.example.com" ] } } '
{
  "data": {
    "id": "550e8400-e29b-41d4-a716-446655440000",
    "name": "Support number inbox",
    "scope_type": "phone_number",
    "scope_id": "1234567890",
    "scope_name": "+1 415 555 1234",
    "assigned_user_id": null,
    "assigned_user_name": null,
    "status": "active",
    "allowed_origins": [
      "https://app.example.com"
    ],
    "default_mode": "system",
    "expires_at": null,
    "last_used_at": null,
    "created_at": "2025-01-15T10:00:00Z",
    "updated_at": "2025-01-15T10:00:00Z",
    "token": "inbox_token_example",
    "embed_url": "https://inbox.kapso.ai/embed/inbox_token_example"
  }
}

Authorizations

X-API-Key
string
header
required

Body

application/json
inbox_embed
object
required

Response

Inbox embed created

data
object
required